Package org.eclipse.ltk.core.refactoring.participants

# Class MoveArguments

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
org.eclipse.ltk.core.refactoring.participants.MoveArguments

public class MoveArguments extends RefactoringArguments
Move arguments describe the data that a processor provides to its move participants.

This class is not intended to be subclassed by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`MoveArguments(Object destination, boolean updateReferences)`
Creates new move arguments.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDestination()`
Returns the destination of the move
`boolean`
`getUpdateReferences()`
Returns whether reference updating is requested or not.
`String`
`toString()`
Returns a string representation of these arguments suitable for debugging purposes only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MoveArguments

public MoveArguments(Object destination, boolean updateReferences)
Creates new move arguments.

Parameters:
  `destination` - the destination of the move
  `updateReferences` - `true` if reference updating is requested; `false` otherwise

## Method Details

### getDestination

public Object getDestination()
Returns the destination of the move

Returns:
  the move's destination

### getUpdateReferences

public boolean getUpdateReferences()
Returns whether reference updating is requested or not.

Returns:
  returns `true` if reference updating is requested; `false` otherwise

### toString

public String toString()
Returns a string representation of these arguments suitable for debugging purposes only.

Subclasses should reimplement this method.

Overrides:
  `toString` in class `RefactoringArguments`
Returns:
  a debug string
Since:
  3.2